#ifndef MINORI_SERVICES_SERVICES_H_
#define MINORI_SERVICES_SERVICES_H_

#include "core/anime.h"
#include "core/date.h"

#include <string>
#include <vector>

// TODO this stuff should be asynchronous

namespace Services {

void Synchronize();

/* true = metadata was retrieved
 * false = metadata failed to be retrieved OR
 *         no metadata to be retrieved */
bool RetrieveAnimeMetadata(int id);

std::vector<int> Search(const std::string &search);
bool GetSeason(Anime::Season season);
void UpdateAnimeEntry(int id);

}; // namespace Services

#endif // MINORI_SERVICES_SERVICES_H_
